# enableActionOnStart

Field in [DialogueAdvanceInput](/2.3/api/csharp/yarn.unity/yarn.unity.dialogueadvanceinput.md)

## Summary

Configures whether [Action](/2.3/api/csharp/yarn.unity/yarn.unity.dialogueadvanceinput/yarn.unity.dialogueadvanceinput.action.md) should be enabled on start.

```csharp
public bool enableActionOnStart = true;
```

## Remarks

If this field is `false` , the input action specified by [Action](/2.3/api/csharp/yarn.unity/yarn.unity.dialogueadvanceinput/yarn.unity.dialogueadvanceinput.action.md) will not be enabled by default, and will need to be enabled by your game's code.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/2.3/api/csharp/yarn.unity/yarn.unity.dialogueadvanceinput/yarn.unity.dialogueadvanceinput.enableactiononstart.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
